手动安装部署Docker-compose

由于一些不可预料的原因,有可能在使用yum install -y docker-compose 时提示没有可用的软件包,导致无法安装docker-compose。以下是手动安装最新版docker-compose的方法。

一、手动获取最新版的docker-compose、run.sh

wget https://github.com/docker/compose/releases/download/1.26.2/docker-compose-Linux-x86_64

wget https://github.com/docker/compose/releases/download/1.26.2/run.sh

下载得到docker-compose-Linux-x86_64文件,重新命令为docker-compose

上传到 /usr/local/bin 文件夹下面

二、给docker-compose权限

chmod +x /usr/local/bin/docker-compose
给完权限后运行
bash run.sh
docker-compose version
如何没有错误提示,代表成功安装。